Search NASA⌕ Search

SEARCH · Search NASA

Results for “CAUCHY PROBLEM”

Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.

Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.

85 records · Page 5

A quasi-vortex-lattice method in thin wing theory

A quasi-continuous method is developed for solving thin-wing problems. For the purpose of satisfying the wing boundary conditions, the spanwise vortex distribution is assumed to be stepwise-constant, while the chordwise vortex integral is reduced to a finite sum through a modified trapezoidal rule and the theory of Chebyshev polynomials. Wing-edge and Cauchy singularities are acounted for. The total aerodynamic characteristics are obtained by an appropriate quadrature integration. The two-dimensional results for airfoils without flap deflection reproduce the exact solutions in lift and pitching moment coefficients, the leading edge suction, and the pressure difference at a finite number of points. For a flapped airfoil, the present results are more accurate than those given by the vortex-lattice method. The three-dimensional results also show an improvement over the results of the vortex-lattice method. Extension to nonplanar applications is discussed.

Lan, C. E.↗

The crack problem in a reinforced cylindrical shell

In this paper a partially reinforced cylinder containing an axial through crack is considered. The reinforcement is assumed to be fully bonded to the main cylinder. The composite cylinder is thus modelled by a nonhomogeneous shell having a step change in the elastic properties at the z=0 plane, z being the axial coordinate. Using a Reissner type transverse shear theory the problem is reduced to a pair of singular integral equations. In the special case of a crack tip touching the bimaterial interface it is shown that the dominant parts of the kernels of the integral equations associated with both membrane loading and bending of the shell reduce to the generalized Cauchy kernel obtained for the corresponding plane stress case. The integral equations are solved and the stress intensity factors are given for various crack and shell dimensions. A bonded fiberglass reinforcement which may serve as a crack arrestor is used as an example.

Yahsi, O. S.↗

The crack problem in a reinforced cylindrical shell

A partially reinforced cylinder containing an axial through crack is considered. The reinforcement is assumed to be fully bonded to the main cylinder. The composite cylinder is thus modelled by a nonhomogeneous shell having a step change in the elastic properties at the z = 0 plane, z being the axial coordinate. Using a Reissner type transverse shear theory the problem is reduced to a pair of singular integral equations. In the special case of a crack tip touching the bimaterial interface it is shown that the dominant parts of the kernels of the integral equations associated with both membrane loading and bending of the shell reduce to the generalized Cauchy kernel obtained for the corresponding plane stress case. The integral equations are solved and the stress intensity factors are given for various crack and shell dimensions. A bonded fiberglass reinforcement which may serve as a crack arrestor is used as an example.

Yahsi, O. S.↗

Opening of an interface flaw in a layered elastic half-plane under compressive loading

A static analysis is given of the problem of an elastic layer perfectly bonded, except for a frictionless interface crack, to a dissimilar elastic half-plane. The free surface of the layer is loaded by a finite pressure distribution directly over the crack. The problem is formulated using the two dimensional linear elasticity equations. Using Fourier transforms, the governing equations are converted to a pair of coupled singular integral equations. The integral equations are reduced to a set of simultaneous algebraic equations by expanding the unknown functions in a series of Jacobi polynomials and then evaluating the singular Cauchy-type integrals. The resulting equations are found to be ill-conditioned and, consequently, are solved in the least-squares sense. Results from the analysis show that, under a normal pressure distribution on the free surface of the layer and depending on the combination of geometric and material parameters, the ends of the crack can open. The resulting stresses at the crack-tips are singular, implying that crack growth is possible. The extent of the opening and the crack-top stress intensity factors depend on the width of the pressure distribution zone, the layer thickness, and the relative material properties of the layer and half-plane.

Kennedy, J. M.↗

An Automated Approach to Very High Order Aeroacoustic Computations in Complex Geometries

Computational aeroacoustics requires efficient, high-resolution simulation tools. And for smooth problems, this is best accomplished with very high order in space and time methods on small stencils. But the complexity of highly accurate numerical methods can inhibit their practical application, especially in irregular geometries. This complexity is reduced by using a special form of Hermite divided-difference spatial interpolation on Cartesian grids, and a Cauchy-Kowalewslci recursion procedure for time advancement. In addition, a stencil constraint tree reduces the complexity of interpolating grid points that are located near wall boundaries. These procedures are used to automatically develop and implement very high order methods (>15) for solving the linearized Euler equations that can achieve less than one grid point per wavelength resolution away from boundaries by including spatial derivatives of the primitive variables at each grid point. The accuracy of stable surface treatments is currently limited to 11th order for grid aligned boundaries and to 2nd order for irregular boundaries.

Dyson, Rodger W.↗

Tuning Monotonic Basin Hopping: Improving the Efficiency of Stochastic Search as Applied to Low-Thrust Trajectory Optimization

Trajectory optimization methods using MBH have become well developed during the past decade. An essential component of MBH is a controlled random search through the multi-dimensional space of possible solutions. Historically, the randomness has been generated by drawing RVs from a uniform probability distribution. Here, we investigate the generating the randomness by drawing the RVs from Cauchy and Pareto distributions, chosen because of their characteristic long tails. We demonstrate that using Cauchy distributions (as first suggested by Englander significantly improves MBH performance, and that Pareto distributions provide even greater improvements. Improved performance is defined in terms of efficiency and robustness, where efficiency is finding better solutions in less time, and robustness is efficiency that is undiminished by (a) the boundary conditions and internal constraints of the optimization problem being solved, and (b) by variations in the parameters of the probability distribution. Robustness is important for achieving performance improvements that are not problem specific. In this work we show that the performance improvements are the result of how these long-tailed distributions enable MBH to search the solution space faster and more thoroughly. In developing this explanation, we use the concepts of sub-diffusive, normally-diffusive, and super-diffusive RWs originally developed in the field of statistical physics.

mission design↗

The Dirichlet problem for the two-dimensional Helmholtz equation for an open boundary

Development of a complete theory of the two-dimensional Dirichlet problem for an open boundary. It is shown that the solution of the Dirichlet problem for an open boundary requires the solution of a Fredholm integral equation of the first kind. Although a Fredholm integral equation of the first kind usually has no solution if the kernel is continuous, owing to the logarithmic singularity of the kernel, the equation in this case is converted to a singular integral equation with a Cauchy kernel. It is proven that the homogeneous adjoint equation of the singular integral equation has no nonzero solution. By virtue of this result, and with the aid of an existence theorem known in the theory of singular integral equations, the existence of solutions of the singular integral equation, and then of the unique solution of the Fredholm integral equation of the first kind is proved.

Hayashi, Y.↗

Automated Approach to Very High-Order Aeroacoustic Computations

Computational aeroacoustics requires efficient, high-resolution simulation tools. For smooth problems, this is best accomplished with very high-order in space and time methods on small stencils. However, the complexity of highly accurate numerical methods can inhibit their practical application, especially in irregular geometries. This complexity is reduced by using a special form of Hermite divided-difference spatial interpolation on Cartesian grids, and a Cauchy-Kowalewski recursion procedure for time advancement. In addition, a stencil constraint tree reduces the complexity of interpolating grid points that am located near wall boundaries. These procedures are used to develop automatically and to implement very high-order methods (> 15) for solving the linearized Euler equations that can achieve less than one grid point per wavelength resolution away from boundaries by including spatial derivatives of the primitive variables at each grid point. The accuracy of stable surface treatments is currently limited to 11th order for grid aligned boundaries and to 2nd order for irregular boundaries.

Dyson, Rodger W.↗

Tuning Monotonic Basin Hopping: Improving the Efficiency of Stochastic Search as Applied to Low-Thrust Trajectory Optimization

Trajectory optimization methods using monotonic basin hopping (MBH) have become well developed during the past decade [1, 2, 3, 4, 5, 6]. An essential component of MBH is a controlled random search through the multi-dimensional space of possible solutions. Historically, the randomness has been generated by drawing random variable (RV)s from a uniform probability distribution. Here, we investigate the generating the randomness by drawing the RVs from Cauchy and Pareto distributions, chosen because of their characteristic long tails. We demonstrate that using Cauchy distributions (as first suggested by J. Englander [3, 6]) significantly improves monotonic basin hopping (MBH) performance, and that Pareto distributions provide even greater improvements. Improved performance is defined in terms of efficiency and robustness. Efficiency is finding better solutions in less time. Robustness is efficiency that is undiminished by (a) the boundary conditions and internal constraints of the optimization problem being solved, and (b) by variations in the parameters of the probability distribution. Robustness is important for achieving performance improvements that are not problem specific. In this work we show that the performance improvements are the result of how these long-tailed distributions enable MBH to search the solution space faster and more thoroughly. In developing this explanation, we use the concepts of sub-diffusive, normally-diffusive, and super-diffusive random walks (RWs) originally developed in the field of statistical physics.

autonomous↗

Determination of refractive properties of fluids for dual-wavelength interferometry

Methods to calculate the refractive properties of solutions at different wavelengths are described by using experimental data at just two wavelengths. The properties are the refractive index and its gradients with temperature and concentration. Cauchy's equation is used to determine the refractive indices. The gradients versus temperature and concentration are then determined by using the Murphy-Alpert and the Lorentz-Lorenz equation, respectively. Finally, the particular case of a triglycine sulfate aqueous solution is considered as an example. The approach should provide the desired information for fringe analysis when dual-wavelength holographic or other interferometry is used for solving heat and mass transfer problems in fluids during crystal-growth experiments.

Vikram, Chandra S.↗

A computational procedure for multibody systems including flexible beam dynamics

A computational procedure suitable for the solution of equations of motions for flexible multibody systems has been developed. The flexible beams are modeled using a fully nonlinear theory which accounts for both finite rotations and large deformations. The present formulation incorporates physical measures of conjugate Cauchy stress and covariant strain increments. As a consequence, the beam model can easily be interfaced with real-time strain measurements and feedback control systems. A distinct feature of the present work is the computational preservation of total energy for undamped systems; this is obtained via an objective strain increment/stress update procedure combined with an energy-conserving time integration algorithm which contains an accurate update of angular orientations. The procedure is demonstrated via several example problems.

Downer, J. D.↗

The method of lines in analyzing solids containing cracks

A semi-numerical method is reviewed for solving a set of coupled partial differential equations subject to mixed and possibly coupled boundary conditions. The line method of analysis is applied to the Navier-Cauchy equations of elastic and elastoplastic equilibrium to calculate the displacement distributions in various, simple geometry bodies containing cracks. The application of this method to the appropriate field equations leads to coupled sets of simultaneous ordinary differential equations whose solutions are obtained along sets of lines in a discretized region. When decoupling of the equations and their boundary conditions is not possible, the use of a successive approximation procedure permits the analytical solution of the resulting ordinary differential equations. The use of this method is illustrated by reviewing and presenting selected solutions of mixed boundary value problems in three dimensional fracture mechanics. These solutions are of great importance in fracture toughness testing, where accurate stress and displacement distributions are required for the calculation of certain fracture parameters. Computations obtained for typical flawed specimens include that for elastic as well as elastoplastic response. Problems in both Cartesian and cylindrical coordinate systems are included. Results are summarized for a finite geometry rectangular bar with a central through-the-thickness or rectangular surface crack under remote uniaxial tension. In addition, stress and displacement distributions are reviewed for finite circular bars with embedded penny-shaped cracks, and rods with external annular or ring cracks under opening mode tension. The results obtained show that the method of lines presents a systematic approach to the solution of some three-dimensional mechanics problems with arbitrary boundary conditions. The advantage of this method over other numerical solutions is that good results are obtained even from the use of a relatively coarse grid.

Gyekenyesi, John P.↗

A computational procedure for the dynamics of flexible beams within multibody systems

The dynamic analysis of three dimensional elastic beams which experience large rotational and large deformational motions are examined. The beam motion is modeled using an inertial reference for the translational displacements and a body-fixed reference for the rotational quantities. Finite strain rod theories are then defined in conjunction with the beam kinematic description which accounts for the effects of stretching, bending, torsion, and transverse shear deformations. A convected coordinate representation of the Cauchy stress tensor and a conjugate strain definition is introduced to model the beam deformation. To treat the beam dynamics, a two-stage modification of the central difference algorithm is presented to integrate the translational coordinates and the angular velocity vector. The angular orientation is then obtained from the application of an implicit integration algorithm to the Euler parameter/angular velocity kinematical relation. The combined developments of the objective internal force computation with the dynamic solution procedures result in the computational preservation of total energy for undamped systems. The present methodology is also extended to model the dynamics of deployment/retrieval of the flexible members. A moving spatial grid corresponding to the configuration of a deployed rigid beam is employed as a reference for the dynamic variables. A transient integration scheme which accurately accounts for the deforming spatial grid is derived from a space-time finite element discretization of a Hamiltonian variational statement. The computational results of this general deforming finite element beam formulation are compared to reported results for a planar inverse-spaghetti problem.

Downer, Janice Diane↗